package com.xhpc.order.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

/**
 * @author yuyang
 * @date 2021/8/9 15:56
 */
public class XhpcChargeOrderSoc extends BaseEntity {


    /**
     * 订单SOC实时数据
     */
    private Long chargeOrderSocId;
    /**
     * 订单id
     */
    private Long chargeOrderId;
    /**
     * soc 实时走向
     */
    private String soc;

    /**
     * (状态)
     */
    private Integer status;

    /**
     * 0代表存在 1代表删除
     */
    private Integer delFlag;


    public Long getChargeOrderSocId() {

        return chargeOrderSocId;
    }

    public void setChargeOrderSocId(Long chargeOrderSocId) {

        this.chargeOrderSocId = chargeOrderSocId;
    }

    public Long getChargeOrderId() {

        return chargeOrderId;
    }

    public void setChargeOrderId(Long chargeOrderId) {

        this.chargeOrderId = chargeOrderId;
    }

    public String getSoc() {

        return soc;
    }

    public void setSoc(String soc) {

        this.soc = soc;
    }

    public Integer getStatus() {

        return status;
    }

    public void setStatus(Integer status) {

        this.status = status;
    }

    public Integer getDelFlag() {

        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {

        this.delFlag = delFlag;
    }

}
